Safe Creeper

Safe Creeper

Current version: Safe Creeper Beta for Minecraft 1.9.2

Safe Creeper

InstallationBasicsAdd-ons and Support
DownloadsCommandsSupported Plugins

Bugs & IssuesAPIDonate

What is Safe Creeper

Control creepers, Withers, EnderDragons, Enderman, TNT, Fireballs and a lot more!

With Safe Creeper you can control creeper explosions and other things like, fireballs, TNT, Enderman and a lot of other things, you can set if a creeper explosions destroys blocks. You can set if Zombie's can break down doors. You can also set a lot of other things, the possibilities are almost endless! A few other examples are that you can set up if players are able to use TNT blocks, if creepers will explode above the surface and underneath they wont, set if Enderman can place and break blocks, even if they can clone blocks, explosion sounds, smoke effects and a lot of more things. The plugins is fully configurable and it has multi world support. This is a must have for most server administrators.

Example Video

This is an video witch explains the config file system of an older version of Safe Creeper, it should work very similair with the current version. This video also shows you some features from Safe Creeper:


This is a small list of features witch Safe Creeper can provide for your server. If you want to see the full list, and a list of planned features, visit this page: Page: Features

  • Set if creepers damage the world, also fireballs, TNT and other things
  • Get full control of the Wither and EnderDragon bosses!
  • Enderman support, set if enderman can place and break blocks, also set if they can clone blocks (get blocks but don't remove them from the world)
  • Multi World support
  • Start the plugin before loading the world, to ceep everything safe while generating the world and adding the mobs on it
  • Optional function that your settings are only avable between two levels, for example, if you want, a creeper can explode only underneeth a level (y coordinate) and above a level.
  • Explosion sounds, enable or disable explosion sounds
  • Explosion smoke effect
  • Set if players can place a TNT block
  • Set if creepers will be powerd when they hit by lightning
External Connections

Safe Creeper makes some connections to external servers. One of these connections is to itself. Safe Creeper uses this connection to check whether there are any updates available. Safe Creeper is able to download these updates automatically from the servers. Since Safe Creeper, Safe Creeper is also posting anonymous statistics to This post request contains little information about the plugin and the server it´s running on. This request contains the version of Craft Bukkit, the version number of Safe Creeper, and the amount of online players, this post request may also contain additional information coming from Safe Creeper itself, like the amount of Creeper´s nerfed by Safe Creeper. A server address is not included because the statistics system is anonymous. The Safe Creeper statistics system will send the server´s address if enabled in the configuration file. This statistics system has been implemented to give people the ability to see how many servers Safe Creeper is running on. And to give an overview of the global usage of certain Safe Creeper features. All these systems could be disabled in the configuration file. Safe Creeper does not connect to any other external server than the two described above.

Bugs & Issues

Please go to the following page to see how to report a bug, this page also contains a list with all known bugs in the current Safe Creeper version.
Page: Bugs


Please donate some money so I can buy some coffee to make better plugins and even update my old ones :) , I really like it if you give any donation! You could go to a donation page using the button bellow or the donate button above the search-box


You must login to post a comment. Don't have an account? Register to get one!

  • Avatar of saveryan saveryan Oct 07, 2016 at 11:53 UTC - 0 likes

    Hi Tim,

    I'm hosting a server on OMGServ and in the console on the site I constantly see this line:


    [13:39:59] [Craft Scheduler Thread - 58/INFO]: [SafeCreeper] New Safe Creeper version available: v1.5.3.1Beta
    [13:39:59] [Craft Scheduler Thread - 58/INFO]: [SafeCreeper] Safe Creeper update download, server reload required!
    [13:44:59] [Craft Scheduler Thread - 58/INFO]: [SafeCreeper] Saving destruction repair data...
    [13:44:59] [Craft Scheduler Thread - 58/INFO]: [SafeCreeper] Destruction repair data saved, took 7ms!

    And I was wondering if it is normal that he tries to download the newest version (which is already installed) constantly?

    Ty, SaveRyan

  • Avatar of timvisee timvisee Apr 11, 2016 at 14:48 UTC - 0 likes

    Update for Minecraft 1.9.2 / Bukkit 1.9.2 R0.1

    I've released a quick update that makes Safe Creeper compatible with Bukkit servers running the newly released Minecraft 1.9.2 version. Please note that this new release breaks support for ealier Bukkit versions such as Bukkit 1.8. This release should only be used when updating your Bukkit server to 1.9.2. (Bukkit 1.9 is supported)

    This update contains some minor changes, various fixes and library updates. Please note that this is a beta release.

    For further information and the changelog, see the download page of this release under the link below.

    The update will be available here as soon as it has been approved by the Bukkit administrators:
    Download file (Download page)

    Tim Visée

    Last edited Apr 11, 2016 by timvisee

    Safe Creeper World Portal

  • Avatar of timvisee timvisee Mar 07, 2016 at 23:05 UTC - 0 likes

    @Refalm: Go


    Thank you for the error log. It does look like this has to do with an incompatible Java version. Because of some compatability reasons, the latest versions of Safe Creeper require Java 8 (Java 1.8). It does look like you're running Java 7 (Java 1.7) with your server.

    Updating your environment to Java 8 should solve the issue preventing the plugin from starting.

    Does this solution indeed solve your issue?

    Tim Visée

  • Avatar of Refalm Refalm Mar 06, 2016 at 13:59 UTC - 0 likes

    Hi Tim Visée, I tried your latest 1.5.3 build, but it didn't work :(

    Last edited Mar 06, 2016 by Refalm
  • Avatar of timvisee timvisee Mar 03, 2016 at 12:50 UTC - 0 likes

    @Doingit: Go

    Sorry for the link that went down. You can download the latest (bleeding edge) development build for Safe Creeper here:

    Tim Visée

  • Avatar of Doingit Doingit Feb 26, 2016 at 20:04 UTC - 0 likes

    Isn't working. Please fix! :D

    Joined May 20, 2011

  • Avatar of timvisee timvisee Nov 17, 2015 at 19:12 UTC - 0 likes

    @TrewCraft360: Go


    I'm not quite sure whether this is possible, but I'll take a look into it.

    Tim Visée

  • Avatar of timvisee timvisee Nov 17, 2015 at 19:11 UTC - 0 likes

    @deleted_9991157: Go


    Yes, I just started working on a new build. Which is great news!

    I'll take a look into the bug you've noticed, thanks for telling.

    Tim Visée

  • Avatar of timvisee timvisee Nov 17, 2015 at 19:10 UTC - 0 likes

    @cdoublejj: Go


    I've some great news! I'm currently working on a build for the latest available Minecraft server versions. I'll add support for the newly added mobs, do some bug fixes, of course make sure it's working with the latest server versions available. And I'll probably be adding various new features.

    You can find the current development build here: (1.8.8 compatible)

    Tim Visée

    Last edited Nov 17, 2015 by timvisee
  • Avatar of cdoublejj cdoublejj Nov 10, 2015 at 22:58 UTC - 0 likes

    Does this even work with craftbukkit 1.8? it hasn't been updated in ages.

Did you like the Safe Creeper plugin?

  1. Choice:

  1. Results
  2. 4 comments


Date created
Dec 13, 2011
Last update
Apr 11, 2016
Development stage
  • enUS
All Rights Reserved
Curse link
Safe Creeper
Recent files